Mantenimiento y reparación de vehículos de motor
2011-03-15 17:29:29 +0000
18

¿Qué aplicación para el iPhone/iPad funciona mejor con el lector de Bluetooth OBD-II ELM327?

He encontrado varias aplicaciones para el iPhone/iPad que se conectan a los lectores ODB-II a través de WiFi, pero desafortunadamente eso significa que deshabilita el 3G y todos los beneficios de tener un dispositivo 3G incorporado en mi tablero.

Parece que no puedo encontrar ninguna aplicación que funcione vía Bluetooth en lugar de WiFi.

¿Alguno de ustedes sabe si hay alguna disponible?

Respuestas [4]

11
2011-05-31 09:54:29 +0000

El ELM327 no es soportado por el iPhone ya que Apples Bluetooth Stack no soporta el protocolo Bluetooth Serial, el ELM327 es en su forma más simple un adaptador ODB a Serial con los datos seriales alimentados a un modem Bluetooth.

11
4
2011-03-17 18:35:36 +0000

~~~ Bueno, no necesariamente se trata del ELM327, pero esto parece una solución FANTASTICO. Griffin CarTrip~~ Ya no se desarrolla.


Apple no permite actualmente a los desarrolladores utilizar el Bluetooth para este propósito. La única conexión real es a través de Wifi.

Mi "suposición" inicial era que si estás conectado a través de Wifi, entonces tus datos 3G están deshabilitados y por lo tanto no puedes usar los datos mientras usas el dongle OBD-II. Esta información es incorrecta. Si pones la conexión de datos en modo proxy, el teléfono seguirá conectándose a los datos a través de 3G, incluso cuando esté conectado al dongle.

Esto funciona muy bien, excepto por el pequeño problema de que los medidores hacen una encuesta una vez por segundo, en lugar de hacer una encuesta constante en tiempo real con lo que realmente está sucediendo. Esto hace que la experiencia del usuario sea más agitada, pero aún así funciona bien.

4
3
2011-05-12 22:01:23 +0000

Apple no te dejará conectarte al interfaz Bluetooth del ELM 327 ya que el fabricante no ha pagado a APPLE para que soporte su pila de Bluetooth. Gotta Love EM'

Hay muchas aplicaciones para el Android que funcionan bien con los módulos Bluetooth del ELM 327.

3
1
2016-11-15 09:49:05 +0000

La respuesta aceptada describe la situación a partir del iOS 5 y siguientes.

Desde 2014, el iOS viene con el marco CoreBluetooth que permite la comunicación con los dispositivos BTLE (Bluetooth Low Energy alias 4.0). Hoy en día, puedes encontrar muchos adaptadores que soportan este estándar de comunicación - asegúrate de que no es un adaptador Bluetooth 3.x, estos no funcionarán.

En cuanto a las aplicaciones iOS, desafortunadamente no muchas soportan BTLE todavía. Aquellas que lo hacen, en su mayoría requieren su adaptador de marca. Sólo hay unas pocas que dicen trabajar con casi cualquier adaptador compatible con BTLE, por ejemplo Experto en OBD2 (Descargo de responsabilidad: Soy el autor).

1